osl::eval::ml::King3PiecesXY Class Reference

`#include <kingTable.h>`

## Public Types

enum | { X_DIM = 32 * 32 * 3 * 5 , Y_DIM = 32 * 32 * 3 * 9 , ONE_DIM = X_DIM + Y_DIM , DIM = ONE_DIM * EvalStages }

## Static Public Member Functions

static void | setUp (const Weights &weights)

## Detailed Description

Definition at line 710 of file kingTable.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
X_DIM |
Y_DIM |
ONE_DIM |
DIM |

Definition at line 713 of file kingTable.h.

## Member Function Documentation

## setUp()

void osl::eval::ml::King3PiecesXY::setUp | ( | const Weights & | weights | ) |

static

Definition at line 1218 of file kingTable.cc.

References osl::NStages, ONE_DIM, osl::eval::ml::Weights::value(), X_DIM, osl::eval::ml::King3Pieces::x_table, Y_DIM, and osl::eval::ml::King3Pieces::y_table.

The documentation for this class was generated from the following files:

- kingTable.h
- kingTable.cc